Page MenuHomePhabricator

Constraint check results involving the current time are cached indiscriminately [M]
Closed, ResolvedPublic

Description

Range checks (“range” or “difference within range” constraint type) can involve the current time as a range endpoint (e. g. “date of spacecraft launch must be between 4 October 1957 and the current day”). Currently, we cache those results just like any other result, even though the validity of the result can change as the current date changes (a violation can turn into a compliance). We need to do some special handling for this.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.Feb 12 2018, 12:23 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 12:23 PM
Lucas_Werkmeister_WMDE renamed this task from Constraint check results involving the current time are checked indiscriminately to Constraint check results involving the current time are cached indiscriminately.Feb 12 2018, 1:43 PM
WMDE-leszek renamed this task from Constraint check results involving the current time are cached indiscriminately to Constraint check results involving the current time are cached indiscriminately [M].Feb 13 2018, 1:25 PM
Lucas_Werkmeister_WMDE closed this task as Resolved.Feb 23 2018, 11:12 AM

All subtasks done, should be fixed now.